<html>
<head>
<title>TestNG:  Default test</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>Default test</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>1/0/0</td>
</tr><tr>
<td>Started on:</td><td>Thu May 21 13:42:43 IST 2020</td>
</tr>
<tr><td>Total time:</td><td>149 seconds (149221 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='pom.amazon.testCases.TestCase_001.testcase001()'><b>testcase001</b><br>Test class: pom.amazon.testCases.TestCase_001<br/>
<a href="#Output-1719547057" onClick='toggleBox("Output-1719547057", this, "Show output", "Hide output");'>Show output</a>

<a href="#Output-1719547057" onClick="toggleAllBoxes();">Show all outputs</a>
<div class='log' id="Output-1719547057">
searchbar Clicked in Home Page<br/>
Enter Key '65-inch TV' in searchbar in Home Page<br/>
pmpConfirmation is Displayed in PMP<br/>
PMPTiles Clicked in Prodct Matrix Page<br/>
PDPTitle is Displayed in Prodct Matrix Page<br/>
Able to fetch 'Samsung 65" Series 8 Q80T QLED UHD 4K TV QA65Q80TAWXXY' text from productName in Prodct Details Page<br/>
Able to fetch '$2,699.00 ' text from productPrice in Prodct Details Page<br/>
Able to fetch '2' text from cartCount in Prodct Details Page<br/>
addToCart Clicked in Prodct Details Page<br/>
Able to fetch '3' text from cartCount in Prodct Details Page<br/>
cartIcon Clicked in Prodct Details Page<br/>
proceedToCheckout is Displayed in Cart<br/>
productName is Displayed in Prodct Details Page<br/>
productPrice is Displayed in Prodct Details Page<br/>
proceedToCheckout Clicked in Prodct Details Page<br/>
</div>
</td>
<td></td>
<td>64</td>
<td>pom.amazon.testCases.TestCase_001@4066c471</td></tr>
</table><p>
</body>
</html>